Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.Converters.FromUICultureNameToItemChecked Class Reference

Converter from UICulture name string to checked status of checkbox item. More...

Inheritance diagram for Microscopic_Traffic_Simulator.Converters.FromUICultureNameToItemChecked:

## Public Member Functions
object | Convert (object value, Type targetType, object parameter, CultureInfo culture)
| Convert UICulture name string to status of checkbox item. More...
object | ConvertBack (object value, Type targetType, object parameter, CultureInfo culture)
| Convert status of checkbox item to UI culture string. Should not be used. More...
object | Convert (object value, Type targetType, object parameter, CultureInfo culture)
| Convert UICulture name string to status of checkbox item. More...
object | ConvertBack (object value, Type targetType, object parameter, CultureInfo culture)
| Convert status of checkbox item to UI culture string. Should not be used. More...

## Detailed Description

Converter from UICulture name string to checked status of checkbox item.

Definition at line 10 of file FromUICultureNameToItemChecked.cs.

## Member Function Documentation

object Microscopic_Traffic_Simulator.Converters.FromUICultureNameToItemChecked.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | CultureInfo | culture
| ) |  |

Convert UICulture name string to status of checkbox item.

Parameters

  value | UICulture string.
  targetType | Target type of checkbox status.
  parameter | Parameter defined in UI. For each item of checkbox is parameter set to UI culture string of associated language.
  culture | Current culture info.

Returns
  True/False whether checkbox item to be checked or not.

Definition at line 21 of file FromUICultureNameToItemChecked.cs.

object Microscopic_Traffic_Simulator.Converters.FromUICultureNameToItemChecked.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | CultureInfo | culture
| ) |  |

Convert UICulture name string to status of checkbox item.

Parameters

  value | UICulture string.
  targetType | Target type of checkbox status.
  parameter | Parameter defined in UI. For each item of checkbox is parameter set to UI culture string of associated language.
  culture | Current culture info.

Returns
  True/False whether checkbox item to be checked or not.

Definition at line 21 of file FromUICultureNameToItemChecked.cs.

object Microscopic_Traffic_Simulator.Converters.FromUICultureNameToItemChecked.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | CultureInfo | culture
| ) |  |

Convert status of checkbox item to UI culture string. Should not be used.

Parameters

  value | Status of checkbox item status.
  targetType | Target type of UI culture string.
  parameter | Parameter defined in UI. For each item of checkbox is parameter set to UI culture string of associated language.
  culture | Current culture info.

Returns
  UICulture string.

Definition at line 38 of file FromUICultureNameToItemChecked.cs.

object Microscopic_Traffic_Simulator.Converters.FromUICultureNameToItemChecked.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | CultureInfo | culture
| ) |  |

Convert status of checkbox item to UI culture string. Should not be used.

Parameters

  value | Checkbox item status.
  targetType | Target type of UI culture string.
  parameter | Parameter defined in UI. For each item of checkbox is parameter set to UI culture string of associated language.
  culture | Current culture info.

Returns
  UICulture string.

Definition at line 38 of file FromUICultureNameToItemChecked.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Converters/FromUICultureNameToItemChecked.cs